%define upstream_name    Parse-ExuberantCTags
%define upstream_version 1.02

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Efficiently parse exuberant ctags files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This Perl module parses _ctags_ files and handles both traditional ctags as
well as extended ctags files such as produced with _Exuberant ctags_. To
the best of my knowledge, it does not handle emacs-style "_etags_" files.

The module is implemented as a wrapper around the _readtags_ library that
normally ships with _Exuberant ctags_. If you do not know what that is, you
are encouraged to have a look at the http://ctags.sourceforge.net/ manpage.
In order to use this module, you do not need _Exuberant ctags_ on your
system. The module ships a copy of _readtags_. Quoting the _readtags_
documentation:

  The functions defined in this interface are intended to provide tag file
  support to a software tool. The tag lookups provided are sufficiently fast
  enough to permit opening a sorted tag file, searching for a matching tag,
  then closing the tag file each time a tag is looked up (search times are
  on the order of hundreths of a second, even for huge tag files). This is
  the recommended use of this library for most tool applications. Adhering
  to this approach permits a user to regenerate a tag file at will without
  the tool needing to detect and resynchronize with changes to the tag file.
  Even for an unsorted 24MB tag file, tag searches take about one second.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-6.mga4
+ Revision: 524929
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.20.0-5.mga4
+ Revision: 431709
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-4.mga3
+ Revision: 371529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.20.0-3.mga3
+ Revision: 251031
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.20.0-2.mga2
+ Revision: 104901
- Rebuild for perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 22739
- cleaning spec file
- imported package perl-Parse-ExuberantCTags

